#ifndef BEEPTHREAD_H
#define BEEPTHREAD_H

#include <QThread>
#include "../ycapi/ycapi.h"

class BeepThread : public QThread
{
    Q_OBJECT
public:
    enum {
        NoBeep,
        OkBeep,
        BtnBeep,
        WrongBeep
    }BeepType;
    explicit BeepThread(QObject *parent = 0, Ycapi *api=0);
    void setBeep(int type);
    void run();
    
signals:
    void btn_click();
public slots:
    
private:
    Ycapi *api;
    int type;
};

#endif // BEEPTHREAD_H
